%define	major 0
%define libname %mklibname supertone %{major}
%define develname %mklibname supertone -d

Summary:	A library for supervisory tone detection and generation
Name:		libsupertone
Version:	0.0.2
Release:	%mkrel 7
License:	GPL
Group:		System/Libraries
URL:		http://www.soft-switch.org/libsupertone
Source0:	http://www.soft-switch.org/libsupertone/libsupertone-0.0.2.tar.bz2
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	libtool
BuildRequires:	tiff-devel >= 3.6.1-3mdk
BuildRequires:	libxml2-devel
BuildRequires:	jpeg-devel
BuildRequires:	file
BuildRequires:  spandsp-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libsupertone is a library for the detection and generation of supervisory tones
on telephony interfaces.

%package -n	%{libname}
Summary:	Steve's SpanDSP library for telephony spans
Group:          System/Libraries

%description -n	%{libname}
libsupertone is a library for the detection and generation of supervisory tones
on telephony interfaces.

%package -n	%{develname}
Summary:	Header files and libraries needed for development with libsupertone
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname supertone 0 -d}

%description -n	%{develname}
This package includes the header files and libraries needed for
developing programs using libsupertone.

%prep

%setup -q

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
autoreconf -fi
%configure2_5x

make CFLAGS="%{optflags} -fPIC"

%install
rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-, root, root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Sat Feb 20 2010 Funda Wang <fwang@mandriva.org> 0.0.2-7mdv2010.1
+ Revision: 508660
- do not check now

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-6mdv2009.0
+ Revision: 229715
- fix deps

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-5mdv2008.0
+ Revision: 83755
- new devel naming


* Fri Dec 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-4mdv2007.0
+ Revision: 93729
- Import libsupertone

* Fri Dec 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-4
- fix deps

* Sun Dec 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.0.2-3mdk
- Fix BuildRequires

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-2mdk
- use correct libname (duh!)

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1mdk
- initial Mandriva package
- used parts of the provided spec file

